﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Clients.Hive.WebJobManager.Services;
using HeuristicLab.Clients.Hive.WebJobManager.Services.Imports;
using HeuristicLab.Clients.Hive.WebJobManager.ViewModels;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;

namespace HeuristicLab.Clients.Hive.WebJobManager.Controllers
{
    public class QueryController : Controller
    {
        private WebLoginService weblog;
        private Guid userId;
        private QueryWebClient queryclient;
        private bool init()
        {
            var u = HttpContext.Session.GetString("UserId");
            weblog = WebLoginService.Instance;
            if (u == null || u == "" || Guid.Parse(u) == Guid.Empty)
            {
                return false;
            }
            else
            {
                userId = Guid.Parse(u);

                queryclient = weblog.getQueryClient(userId);
                if (queryclient != null)
                    return queryclient.CheckLogin();
            }
            return false;
        }

        public IActionResult Index()
        {

            if (init())
            {
                ViewBag.SessionId = HttpContext.Session.GetString("UserId");
                ViewBag.Title = "OKB Query";
                var q = new QueryVM(weblog.getCurrentUser(userId));
                return View("Index", q );
            }
            else
            {
                return RedirectToAction("Index", "Home");
            }
        }
    }
}
